syndication

PUT /v1/syndication/plans/{planId}

Change a plan's channels or behaviour.

Tous les points de terminaison syndication

Authentification

Envoyez une clé d'API en tant que jeton du porteur (bearer token). Cet endpoint n'indique pas de permission spécifique dans la spécification, attribuez donc à votre clé le minimum requis et vérifiez la réponse plutôt que de faire des suppositions.

Cet endpoint ne prend aucun identifiant d'organisation. Votre clé identifie déjà l'organisation à laquelle elle appartient, et la réponse y est limitée.

Essayer

Remplacez tout ce qui se trouve entre crochets par vos propres valeurs, et le espace réservé à la clé par une clé de votre tableau de bord.

curl -X PUT https://api.zinndigital.com/v1/syndication/plans/{planId} \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "scope": <string<post, recipe, org_default>> }'

Connecté ? La console d'API de votre tableau de bord saisit votre véritable ID d'organisation ainsi que votre propre clé, et exécute la requête sur l'API de production afin que vous puissiez voir la réponse réelle. Ouvrir ce point de terminaison dans la console API

Détails

Replaces the plan's channel set with `connection_ids`. ⛔ Each id is re-checked against the CALLER's scope, not merely the plan's org — a connection id is a UUID somebody could paste, and a plan naming another tenant's connection would post this article to that tenant's account. Gated on `syndication.manage`.

Paramètres

NomTypeObligatoireQu'est-ce que c'est
planId (path)stringOui

Corps de la requête

NomTypeObligatoireQu'est-ce que c'est
scopestring<post, recipe, org_default>Oui
post_idstringNon
recipe_idstringNon
enabledbooleanNon
write_modestring<ai_per_channel, one_text>Non
approval_modestring<hold, send>Non
connection_idsstring[]Non

Réponse

NomTypeObligatoireQu'est-ce que c'est
idstringOui
scopestring<post, recipe, org_default>OuiMost specific wins — an article's own plan beats its recipe's beats the org default.
post_idstringOui
recipe_idstringOui
enabledbooleanOui
write_modestring<ai_per_channel, one_text>Oui⚖️ Owner ruling 2026-08-20 — the AI writes per channel by default, because an X post and a LinkedIn update are not the same piece of writing.
approval_modestring<hold, send>Oui⚖️ Owner ruling 2026-08-20 — hold for approval by default.
channelsSyndicationPlanChannel[]Oui
created_atstringOui

Erreurs que cet point de terminaison peut renvoyer

401 · 403 · 404